#{extends 'border.html'/}
<div class="container" id="web-all-komoditas">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li class="active">&{'daftar_seluruh_komoditas.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<h4>&{'daftar_seluruh_komoditas.label'}</h4>
			<div class="row">
				<div class="all-komoditas-wrapper">
					<div class="col-md-3">
						<div class="all-komoditas-list">
							<ul class="nav nav-tabs nav-stacked" role="tablist">
								#{list allKomoditas.keySet(), as:'komKey'}
									<h5><b>${komKey}</b></h5>
										#{list allKomoditas.get(komKey), as:'komVal'}
											<li role="presentation" id="presentation" class="${(komKey_index == 1 && komVal_index == 1) ? 'active' : ''}"><a
													href="#${komVal?.kode_komoditas}" aria-controls="${komVal.kode_komoditas}" role="tab"
													data-toggle="tab" onclick="$('html, body').animate({scrollTop: $('#web-all-komoditas').offset().top}, 200);">${komVal?.nama_komoditas.capFirst()}</a></li>
										#{/list}
								#{/list}
							</ul>
						</div>
					</div>

					<div class="col-md-9">
						<div class="panel panel-default">
							<div class="panel-body">
								<div class="tab-content">
									#{list komoditasKategoriList, as:'kk'}
                                        <div role="tabpanel" class="${kk_index == 1 ? 'tab-pane active' : 'tab-pane'}" id="${kk.kode_komoditas}">
                                            <div class="all-kategori-list">
                                                <div class="row">
													#{list kk.produkKategoriList, as:'kkp'}
                                                        <div class="col-md-4 kategori-item-container">
                                                            <a href="#">${kkp.nama_kategori}</a>
                                                            <div class="all-subkategori-list">
                                                                <ul>
																	#{list childs.get(kkp.id), as:'ch'}
                                                                        <li><a href="@{katalog.ProdukCtr.listProduk(lang, utils.KatalogUtils.generateSlug(kk.nama_komoditas), ch.komoditas_id)}">${ch.nama_kategori}</a></li>
																	#{/list}
                                                                </ul>
                                                            </div>
                                                        </div>
													#{/list}
                                                </div>
                                            </div>
                                        </div>
									#{/list}
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

</div>
<div class="container" id="mobile-all-komoditas">
	#{include 'PublikCtr/mobile/allKomoditas.html'/}
</div>
<script src="@{'/public/javascripts/jquery-1.12.1.min.js'}" type="text/javascript"> </script>